spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Static Public Member Functions | List of all members
spot::ltsmin_model Class Referencefinal
Collaboration diagram for spot::ltsmin_model:

## Public Member Functions
kripke_ptr | kripke (const atomic_prop_set *to_observe, bdd_dict_ptr dict, formula dead=formula::tt(), int compress=0) const
int | state_size () const
| Number of variables in a state. More...
const char * | state_variable_name (int var) const
| Name of each variable. More...
int | state_variable_type (int var) const
| Type of each variable. More...
int | type_count () const
| Number of different types. More...
const char * | type_name (int type) const
| Name of each type. More...
int | type_value_count (int type)
| Count of enumerated values for a type. More...
const char * | type_value_name (int type, int val)
| Name of each enumerated value for a type. More...

## Static Public Member Functions
static ltsmin_model | load (const std::string &file)

## Member Function Documentation

int spot::ltsmin_model::state_size | ( |  | ) | const

Number of variables in a state.

const char* spot::ltsmin_model::state_variable_name | ( | int | var | ) | const

Name of each variable.

int spot::ltsmin_model::state_variable_type | ( | int | var | ) | const

Type of each variable.

int spot::ltsmin_model::type_count | ( |  | ) | const

Number of different types.

const char* spot::ltsmin_model::type_name | ( | int | type | ) | const

Name of each type.

int spot::ltsmin_model::type_value_count | ( | int | type | ) |

Count of enumerated values for a type.

const char* spot::ltsmin_model::type_value_name | ( | int | type,
|  | int | val
| ) |  |

Name of each enumerated value for a type.

The documentation for this class was generated from the following file:

- spot/ltsmin/ltsmin.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.